/*==================================================================
  ==================================================================
  ==	XMusic -- An Interactive Interface to Csound		  ==
  ==       Copyright (C) 1988 by George D. Drapeau                ==
  ==                  All Rights Reserved                         ==
  ==================================================================
  ==================================================================
*/
/* $Log:	exitWin.c,v $
 * Revision 1.2  89/08/06  18:08:26  drapeau
 * Cleaned up the code for the first X11 release.
 *  */

#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <X11/Xaw/Box.h>
#include <X11/Xaw/Label.h>
#include <X11/Xaw/Command.h>
#include "defs.h"
#include "externs.h"


void CreateExitWindow()
{
  Widget	exitBoxWidget,exitLabelWidget;
  Widget	exitYesCommandWidget,exitNoCommandWidget;

  exitWidget		= XtCreatePopupShell("exit",		    /* Create a Popup shell for the Exit window */
					     transientShellWidgetClass,
					     topLevelShell,
					     NULL,NULL);
  exitBoxWidget 	= XtCreateManagedWidget("exitBox",	    /* Create a box to hold commands for the Exit window */
						boxWidgetClass,
						exitWidget,
						NULL,NULL);
  exitLabelWidget	= XtCreateManagedWidget("exitLabel",	    /* Create a label for the Exit Window */
						labelWidgetClass,
						exitBoxWidget,
						NULL,NULL);
  exitYesCommandWidget	= XtCreateManagedWidget("exitYesCommand",   /* Create a 'Yes' command for the Exit Window */
						commandWidgetClass,
						exitBoxWidget,
						NULL,NULL);
  exitNoCommandWidget	= XtCreateManagedWidget("exitNoCommand",    /* Create a 'No' command for the Exit Window */
						commandWidgetClass,
						exitBoxWidget,
						NULL,NULL);
  XtAddCallback(exitYesCommandWidget,XtNcallback,Quit,NULL);	    /* Add callback functions to the Yes and No buttons */
  XtAddCallback(exitNoCommandWidget,XtNcallback,ForgetExit,NULL);
}								    /* end function CreateExitWindow */
