/*==================================================================
  ==================================================================
  ==	XMusic -- An Interactive Interface to Csound		  ==
  ==       Copyright (C) 1988 by George D. Drapeau                ==
  ==                  All Rights Reserved                         ==
  ==================================================================
  ==================================================================
*/
/* $Log:	musicWin.c,v $
 * Revision 1.2  89/08/06  18:13:28  drapeau
 * Changed the names of a couple of the widgets
 *  (commandBox and workSpaceWidget).
 *  */

#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/Paned.h>
#include <X11/Xaw/Box.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Form.h>
#include "defs.h"
#include "externs.h"

void CreateXMusicWorkSpace()
{
  Widget		vPanedWidget,commandBox;
  Widget		quitCommand,helpCommand,writeCommand;
  Widget		saveCommand,removeCommand;
  Arg			argList[2];
  Dimension		workSpaceWidth,workSpaceHeight;
  
  vPanedWidget	= XtCreateManagedWidget("VPanedWidget",		    /* Create a VPaned widget to separate buttons from... */
					panedWidgetClass,	    /* ...the XMusic workspace. */
					topLevelShell,		    /* This widget is a child of the top level shell */
					NULL,NULL);
  commandBox	= XtCreateManagedWidget("commands",		    /* Create a box to hold several Command widgets */
					boxWidgetClass,		    /* This is a Box Widget */
					vPanedWidget,		    /* This widget is a child of the vPanedWidget */
					NULL,NULL);
  quitCommand	= XtCreateManagedWidget("quitCommand",		    /* Create command buttons to go inside the commandBox */
					commandWidgetClass,
					commandBox,
					NULL,NULL);
  helpCommand	= XtCreateManagedWidget("helpCommand",
					commandWidgetClass,
					commandBox,
					NULL,NULL);
  writeCommand	= XtCreateManagedWidget("writeCommand",
					commandWidgetClass,
					commandBox,
					NULL,NULL);
  saveCommand	= XtCreateManagedWidget("saveCommand",
					commandWidgetClass,
					commandBox,
					NULL,NULL);
  removeCommand	= XtCreateManagedWidget("removeCommand",
					commandWidgetClass,
					commandBox,
					NULL,NULL);
  infoCommand	= XtCreateManagedWidget("infoCommand",
					commandWidgetClass,
					commandBox,
					NULL,NULL);

  XtAddCallback(quitCommand,XtNcallback,ExitCallback,NULL);	    /* Add callbacks for the buttons in the workspace. */
  XtAddCallback(helpCommand,XtNcallback,Help,NULL);
  XtAddCallback(writeCommand,XtNcallback,WriteOrchFile,NULL);
  XtAddCallback(saveCommand,XtNcallback,SaveDiagram,NULL);
  XtAddCallback(removeCommand,XtNcallback,RemoveTool,NULL);
  XtAddCallback(infoCommand,XtNcallback,ToolInfo,NULL);
  GetDiagramSize(&workSpaceWidth,&workSpaceHeight);		    /* Determine best size of the workspace widget  */
  XtSetArg(argList[0],XtNwidth,workSpaceWidth);			    /* Set the argument list for the workspace widget */
  XtSetArg(argList[1],XtNheight,workSpaceHeight);
  workSpaceWidget= XtCreateManagedWidget("workspace",		    /* Create a widget in which to draw XMusic diagrams. */
					 formWidgetClass,
					 vPanedWidget,
					 argList,XtNumber(argList));
}								    /* end function CreateXMusicWorkSpace */
